Difference between revisions of "Draft Line/de"

From FreeCAD Documentation
Jump to: navigation, search
Line 36: Line 36:
 
Ein Linienzug kann auch aus einer einzelnen Linie durch Hinzufügen eines weiteren Punkts entlang der Länge erzeugt werden. Um dies zu tun, drücke die Schaltfläche {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/de|Punkt hinzufügen]]}} und klicke irgendwo auf der Linie.
 
Ein Linienzug kann auch aus einer einzelnen Linie durch Hinzufügen eines weiteren Punkts entlang der Länge erzeugt werden. Um dies zu tun, drücke die Schaltfläche {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/de|Punkt hinzufügen]]}} und klicke irgendwo auf der Linie.
  
<div class="mw-translate-fuzzy">
+
==Optionen====
==Optionen==
+
* Drücke  {{KEY|X}}}, {{KEY|Y}} oder {{KEY|Z}} nach dem ersten Punkt, um den zweiten Punkt auf der angegebenen Achse zu beschränken.
* Drücken von {{KEY|X}}, {{KEY|Y}} oder {{KEY|Z}} auf der Tastatur nach erfolgter Festlegung des ersten Punkts erzwingt für den zweiten Punkt den gleichen z-, y- bzw. z-Koordinaten-Wert
+
* Um Koordinaten manuell einzugeben, gib einfach die Zahlen ein und drücken dann {{KEY|Enter}} zwischen den einzelnen X-, Y- und Z-Komponenten.
* Nach Tastatur-Eingabe der kartesichen Koordinaten-Werte nach jedem x-, y- und/oder z-Wert die Eingabetaste (Enter) {{KEY|ENTER}} drücken.
+
** Du kannst auch die Polarkoordinaten des Punktes definieren, indem du einen Wert für "Länge" und "Winkel" angibst. Klicke auf das Kontrollkästchen neben "Winkel", um den Zeiger auf den angegebenen Winkel zu beschränken.
*Press {{KEY|R}} or click the checkbox to check/uncheck the {{KEY|'''Relative'''}} button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
+
** Du kannst die {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/de|Punkt hinzufügen]]}} Taste drücken wenn Du die gewünschten Werte hast, um den Punkt einzufügen.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
+
* Drücke {{{KEY|R}} oder klicke auf das Kontrollkästchen, um den ''relativen'' Modus umzuschalten. Wenn der Relativmodus eingeschaltet ist, sind die Koordinaten des zweiten Punktes relativ zum ersten; wenn nicht, sind sie absolut, bezogen auf den Ursprung (0,0,0).
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
+
* Drücke {{KEY|T}} oder klicke auf das Kontrollkästchen, um den ''Weiter''-Modus umzuschalten. Wenn der Fortsetzungsmodus eingeschaltet ist, wird das Linienwerkzeug nach der Eingabe des zweiten Punktes neu gestartet, so dass du ein weiteres Liniensegment zeichnen kannst, ohne die Werkzeugtaste erneut zu drücken.
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
+
* Halte {{KEY|Ctrl}} während des Zeichnens gedrückt, um [[Draft_Snap/de|Fang]] deinen Punkt auf die nächstgelegene Fangposition zu zwingen, unabhängig von der Entfernung.
* Press {{KEY|CTRL}}+{{KEY|Z}} or press the {{KEY|[[Image:Draft UndoLine.png|12px]] '''[[Draft_UndoLine|Undo]]'''}} button to undo the last point.
+
* Halte {{KEY|Shift}} während des Zeichnens gedrückt, um deinen zweiten Punkt horizontal oder vertikal in Bezug auf den ersten zu [[Draft_Constrain/de|Beschränkung]].
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.
+
* Drücke {{KEY|Ctrl}}+{{KEY|Z}} oder drücke die {{button|[[Image:Draft UndoLine.png|12px]] [[Draft_UndoLine/de|Rückgängig]]}} Schaltfläche, um den letzten Punkt rückgängig zu machen.
* If several connected [[Draft Line|Draft Lines]] are selected they can be transformed into a wire by pressing the '''Draft Upgrade''' Button.
+
* Drücke  {{KEY|Esc}} oder die Taste {{Button|Close}}, um den aktuellen Befehl abzubrechen.
</div>
 
  
 
<div class="mw-translate-fuzzy">
 
<div class="mw-translate-fuzzy">

Revision as of 19:19, 5 December 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
FreeCAD.png
Nächste: Draht Draft Wire.svg Arrow-right.svg

Draft Line.svg {{{Name/de}}}

Menüeintrag
Entwurf → Linie
Arbeitsbereich
Entwurf, Arch Arbeitsbereich
Standardtastenkürzel
L I
In der Version eingeführt
0.7
Siehe auch
Draft Wire, Draft Point


Beschreibung

Das Linienwerkzeug erzeugt eine gerade Linie, die durch zwei Punkte definiert ist. Es wird das Draft Linestyle verwendet, das auf dem [[Draft Tray /de|Draft Tray]] gesetzt ist. Das Linienwerkzeug verhält sich genau wie das Werkzeug Draft Wire, nur dass es nach zwei Punkten stoppt.

Draft Line example.jpg

Linie erzeugt durch zwei Punkte


Anwendung

  1. Drücke die Taste Draft Line.svg Draft Line, oder drücke L und dann I Tasten.
  2. Klicke auf einen ersten Punkt in der 3D Ansicht, oder gib eine Koordinate ein und drücke die Taste Draft AddPoint.svgPunkt hinzufügen Taste.
  3. Klicke auf einen zweiten Punkt in der 3D Ansicht, oder gib eine Koordinate ein und drücke die Taste Draft AddPoint.svg Punkt hinzufügen Taste.

Die Linie kann durch doppelklicken des Elements in der Baumansicht geändert werden oder durch drücken der Schaltfläche Draft Edit.svg Bearbeiten. Dann kannst Du die Punkte an eine andere Position ziehen.

Verschmelzen einzelner Linien

Wenn verschiedene verbundene Draft Linien ausgewählt sind, können sie durch Drücken des Draft Upgrade.svg Draft Hoststufen-Werkzeugs zu einem Linienzug verschmolzen werden; allerdings wird dieser Linienzug nicht änderbar sein. Um einen änderbaren Linienzug zu erzeugen, benutze Draft Upgrade.svg Hochstufen drei weitere Male an den neuen Formen (Linienzug, geschlossener Linienzug, Fläche). Du kann auch die ursprünglichen Linien mit dem Draft Wire.svg Linienzug-Werkzeug verschmelzen.

Ein Linienzug kann auch aus einer einzelnen Linie durch Hinzufügen eines weiteren Punkts entlang der Länge erzeugt werden. Um dies zu tun, drücke die Schaltfläche Draft AddPoint.svg Punkt hinzufügen und klicke irgendwo auf der Linie.

Optionen==

  • Drücke X}, Y oder Z nach dem ersten Punkt, um den zweiten Punkt auf der angegebenen Achse zu beschränken.
  • Um Koordinaten manuell einzugeben, gib einfach die Zahlen ein und drücken dann Enter zwischen den einzelnen X-, Y- und Z-Komponenten.
    • Du kannst auch die Polarkoordinaten des Punktes definieren, indem du einen Wert für "Länge" und "Winkel" angibst. Klicke auf das Kontrollkästchen neben "Winkel", um den Zeiger auf den angegebenen Winkel zu beschränken.
    • Du kannst die Draft AddPoint.svg Punkt hinzufügen Taste drücken wenn Du die gewünschten Werte hast, um den Punkt einzufügen.
  • Drücke {R oder klicke auf das Kontrollkästchen, um den relativen Modus umzuschalten. Wenn der Relativmodus eingeschaltet ist, sind die Koordinaten des zweiten Punktes relativ zum ersten; wenn nicht, sind sie absolut, bezogen auf den Ursprung (0,0,0).
  • Drücke T oder klicke auf das Kontrollkästchen, um den Weiter-Modus umzuschalten. Wenn der Fortsetzungsmodus eingeschaltet ist, wird das Linienwerkzeug nach der Eingabe des zweiten Punktes neu gestartet, so dass du ein weiteres Liniensegment zeichnen kannst, ohne die Werkzeugtaste erneut zu drücken.
  • Halte Ctrl während des Zeichnens gedrückt, um Fang deinen Punkt auf die nächstgelegene Fangposition zu zwingen, unabhängig von der Entfernung.
  • Halte Shift während des Zeichnens gedrückt, um deinen zweiten Punkt horizontal oder vertikal in Bezug auf den ersten zu Beschränkung.
  • Drücke Ctrl+Z oder drücke die Draft UndoLine.png Rückgängig Schaltfläche, um den letzten Punkt rückgängig zu machen.
  • Drücke Esc oder die Taste Close, um den aktuellen Befehl abzubrechen.

Properties

  • Daten-EigenschaftStart: Der Startpunkt
  • Daten-EigenschaftEnd: Der Endpunkt
  • Daten-EigenschaftSubdivisions: Dividiert die Linie mit der angegebenen Anzahl von Unterteilungen verfügbar in Version 0.16

Daten

  • Daten-EigenschaftStart: Gibt den Startpunkt an.
  • Daten-EigenschaftEnd: Gibt den Endpunkt an.
  • Daten-EigenschaftSubdivisions: Gibt die Anzahl von inneren Knoten der Linie an. verfügbar in Version 0.16
  • Daten-EigenschaftLength: (nur-lesen) Gibt die Länge des Segments an.

View

  • ViewEnd Arrow: if it is True it will display a symbol at the last point of the line, so it can be used as an annotation line.
  • ViewArrow Size: specifies the size of the symbol displayed at the end of the line.
  • ViewArrow Type: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

Das Linie-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Erstellt ein Line-Objekt zwischen den beiden durch Vektoren gegebenen Punkten p1 and p2, die jeweils durch ihren FreeCAD.Vector definiert sind.
  • Erstellt eine Line aus einem Part.LineSegment
  • Erstellt eine Line vom ersten zum letzten Eckpunkt eines gegebenen Shape-Objekts

Beispiel:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)